'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var seedRandom = require('seedrandom');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var seedRandom__default = /*#__PURE__*/_interopDefaultLegacy(seedRandom);

var prng = seedRandom__default["default"]();
/**
 * Create a seed.
 *
 * @category general
 *
 * @example
 *
 * random()
 *
 */

function random() {
  return prng();
}

function fake(data, options) {
  var dataSource = Array.isArray(data) ? function () {
    return randElement(data);
  } : data;

  if (!(options === null || options === void 0 ? void 0 : options.length)) {
    return dataSource(0);
  }

  return Array.from({
    length: options.length
  }, function (_, index) {
    return dataSource(index);
  });
}
function randElement(arr) {
  return arr[Math.floor(random() * arr.length)];
}

var data = [
	"الفالروب ذو العنق الأحمر",
	"كليف سوالو",
	"هازجة مقنع",
	"البوشارد المشترك",
	"سكوتس أوريول",
	"القطرس الأسود",
	"ببغاء الراهب",
	"الطائر الطنان الرائع",
	"ساندبيبر واسع الفاتورة",
	"بوشتيت",
	"المكسيكي جاي",
	"مرغانسر المقنع",
	"وود ستورك",
	"روس نورس",
	"جرين ساندبيبر",
	"الديكي رافعة"
];

/**
 * Generate a random bird.
 *
 * @category animals
 *
 * @example
 *
 * randBird()
 *
 * @example
 *
 * randBird({ length: 10 })
 *
 */

function randBird(options) {
  return fake(data, options);
}

exports.randBird = randBird;
