import seedRandom from 'seedrandom';

let prng = seedRandom();
/**
 * Create a seed.
 *
 * @category general
 *
 * @example
 *
 * random()
 *
 */

function random() {
  return prng();
}

function fake(data, options) {
  const dataSource = Array.isArray(data) ? () => randElement(data) : data;

  if (!(options != null && options.length)) {
    return dataSource(0);
  }

  return Array.from({
    length: options.length
  }, (_, index) => dataSource(index));
}
function randElement(arr) {
  return arr[Math.floor(random() * arr.length)];
}

var data = [
	"الفالروب ذو العنق الأحمر",
	"كليف سوالو",
	"هازجة مقنع",
	"البوشارد المشترك",
	"سكوتس أوريول",
	"القطرس الأسود",
	"ببغاء الراهب",
	"الطائر الطنان الرائع",
	"ساندبيبر واسع الفاتورة",
	"بوشتيت",
	"المكسيكي جاي",
	"مرغانسر المقنع",
	"وود ستورك",
	"روس نورس",
	"جرين ساندبيبر",
	"الديكي رافعة"
];

/**
 * Generate a random bird.
 *
 * @category animals
 *
 * @example
 *
 * randBird()
 *
 * @example
 *
 * randBird({ length: 10 })
 *
 */

function randBird(options) {
  return fake(data, options);
}

export { randBird };
