import seedRandom from 'seedrandom';

let prng = seedRandom();
/**
 * Create a seed.
 *
 * @category general
 *
 * @example
 *
 * random()
 *
 */

function random() {
  return prng();
}

function fake(data, options) {
  const dataSource = Array.isArray(data) ? () => randElement(data) : data;

  if (!(options != null && options.length)) {
    return dataSource(0);
  }

  return Array.from({
    length: options.length
  }, (_, index) => dataSource(index));
}
function randElement(arr) {
  return arr[Math.floor(random() * arr.length)];
}

var data = [
	"Punakaelaline phalarope",
	"Kaljupääsuke",
	"Loggerhead Kingbird",
	"Asteekide rästas",
	"Kaupottsinn",
	"Tavaline Pochard",
	"Scotts Oriole",
	"Mustakulmuga Albatross",
	"Munk parakeet",
	"Suurepärane koolibri",
	"Broad-billed Sandpiper",
	"Bushtit",
	"Mehhiko Jay",
	"Kauutsiga merikann",
	"puu-toonekurg",
	"Rossi kajakas",
	"Roheline liivapiisk",
	"Kraana"
];

/**
 * Generate a random bird.
 *
 * @category animals
 *
 * @example
 *
 * randBird()
 *
 * @example
 *
 * randBird({ length: 10 })
 *
 */

function randBird(options) {
  return fake(data, options);
}

export { randBird };
