import seedRandom from 'seedrandom';

let prng = seedRandom();
/**
 * Create a seed.
 *
 * @category general
 *
 * @example
 *
 * random()
 *
 */

function random() {
  return prng();
}

function fake(data, options) {
  const dataSource = Array.isArray(data) ? () => randElement(data) : data;

  if (!(options != null && options.length)) {
    return dataSource(0);
  }

  return Array.from({
    length: options.length
  }, (_, index) => dataSource(index));
}
function randElement(arr) {
  return arr[Math.floor(random() * arr.length)];
}

var data = [
	"Phalarope à bec étroit",
	"Hirondelle des falaises",
	"Tyran caouanne",
	"Grive aztèque",
	"Paruline à capuchon",
	"Milouin commun",
	"L'Oriole de Scott",
	"Albatros à sourcils noirs",
	"Perruche Moine",
	"Magnifique Colibri",
	"Bécasseau à large bec",
	"Mésange buissonnière",
	"Geai mexicain",
	"Harle à capuchon",
	"Cigogne des bois",
	"Mouette rosée",
	"Bécasseau vert",
	"Grue blanche"
];

/**
 * Generate a random bird.
 *
 * @category animals
 *
 * @example
 *
 * randBird()
 *
 * @example
 *
 * randBird({ length: 10 })
 *
 */

function randBird(options) {
  return fake(data, options);
}

export { randBird };
