import seedRandom from 'seedrandom';

let prng = seedRandom();
/**
 * Create a seed.
 *
 * @category general
 *
 * @example
 *
 * random()
 *
 */

function random() {
  return prng();
}

function fake(data, options) {
  const dataSource = Array.isArray(data) ? () => randElement(data) : data;

  if (!(options != null && options.length)) {
    return dataSource(0);
  }

  return Array.from({
    length: options.length
  }, (_, index) => dataSource(index));
}
function randElement(arr) {
  return arr[Math.floor(random() * arr.length)];
}

var data = [
	"लाल गर्दन वाले फलारोप",
	"क्लिफ निगल",
	"लकड़हारा किंगबर्ड",
	"एज़्टेक थ्रश",
	"हुडेड वार्बलर",
	"आम पोचार्ड",
	"स्कॉट्स ओरिओल",
	"ब्लैक-ब्रोएड अल्बाट्रॉस",
	"भिक्षु तोता",
	"शानदार हमिंगबर्ड",
	"ब्रॉड-बिल सैंडपाइपर",
	"बुश्तिट",
	"मैक्सिकन जे",
	"हुडेड मर्जर",
	"लकड़ी सारस",
	"रॉस गल",
	"ग्रीन सैंडपाइपर",
	"काली क्रेन"
];

/**
 * Generate a random bird.
 *
 * @category animals
 *
 * @example
 *
 * randBird()
 *
 * @example
 *
 * randBird({ length: 10 })
 *
 */

function randBird(options) {
  return fake(data, options);
}

export { randBird };
