import seedRandom from 'seedrandom';

let prng = seedRandom();
/**
 * Create a seed.
 *
 * @category general
 *
 * @example
 *
 * random()
 *
 */

function random() {
  return prng();
}

function fake(data, options) {
  const dataSource = Array.isArray(data) ? () => randElement(data) : data;

  if (!(options != null && options.length)) {
    return dataSource(0);
  }

  return Array.from({
    length: options.length
  }, (_, index) => dataSource(index));
}
function randElement(arr) {
  return arr[Math.floor(random() * arr.length)];
}

var data = [
	"Красношейный плавунчик",
	"Клифф Ласточка",
	"Логгерхед Кингбёрд",
	"Ацтекский дрозд",
	"Сырковая камышевка",
	"Обыкновенный нырок",
	"Скоттс Ориол",
	"Чернобровый альбатрос",
	"Монах-попугай",
	"Великолепный колибри",
	"Кулик ширококлювый",
	"Буштит",
	"Мексиканская сойка",
	"Крылья с капюшоном",
	"Лесной аист",
	"Росс Чайка",
	"Зеленый кулик",
	"Американский журавль"
];

/**
 * Generate a random bird.
 *
 * @category animals
 *
 * @example
 *
 * randBird()
 *
 * @example
 *
 * randBird({ length: 10 })
 *
 */

function randBird(options) {
  return fake(data, options);
}

export { randBird };
