import seedRandom from 'seedrandom';

let prng = seedRandom();
/**
 * Create a seed.
 *
 * @category general
 *
 * @example
 *
 * random()
 *
 */

function random() {
  return prng();
}

function fake(data, options) {
  const dataSource = Array.isArray(data) ? () => randElement(data) : data;

  if (!(options != null && options.length)) {
    return dataSource(0);
  }

  return Array.from({
    length: options.length
  }, (_, index) => dataSource(index));
}
function randElement(arr) {
  return arr[Math.floor(random() * arr.length)];
}

var data = [
	"Falaropo de cuello rojo",
	"Golondrina de acantilado",
	"Tirador boba",
	"Zordo Azteca",
	"Reinita encapuchada",
	"Porrón Común",
	"Oriol escocés",
	"Albatros de ceja negra",
	"Perico monje",
	"Magnífico Colibrí",
	"Lavandera pico ancho",
	"Bushtit",
	"Jay mexicano",
	"Pollo de agua encapuchado",
	"cigüeña de madera",
	"gaviota rosss",
	"Lavandera verde",
	"Grulla blanca"
];

/**
 * Generate a random bird.
 *
 * @category animals
 *
 * @example
 *
 * randBird()
 *
 * @example
 *
 * randBird({ length: 10 })
 *
 */

function randBird(options) {
  return fake(data, options);
}

export { randBird };
