'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var seedRandom = require('seedrandom');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var seedRandom__default = /*#__PURE__*/_interopDefaultLegacy(seedRandom);

var prng = seedRandom__default["default"]();
/**
 * Create a seed.
 *
 * @category general
 *
 * @example
 *
 * random()
 *
 */

function random() {
  return prng();
}

function fake(data, options) {
  var dataSource = Array.isArray(data) ? function () {
    return randElement(data);
  } : data;

  if (!(options === null || options === void 0 ? void 0 : options.length)) {
    return dataSource(0);
  }

  return Array.from({
    length: options.length
  }, function (_, index) {
    return dataSource(index);
  });
}
function randElement(arr) {
  return arr[Math.floor(random() * arr.length)];
}

var data = [
	"红颈蝴蝶结",
	"悬崖燕子",
	"赤蠵王鸟",
	"阿兹特克画眉",
	"头巾莺",
	"普通潜鸭",
	"斯科特金莺",
	"黑眉信天翁",
	"和尚鹦鹉",
	"壮丽的蜂鸟",
	"大嘴鹬",
	"布什蒂特",
	"墨西哥杰",
	"蒙面秋沙鸭",
	"木鹳",
	"罗斯海鸥",
	"绿鹬",
	"鸣鹤"
];

/**
 * Generate a random bird.
 *
 * @category animals
 *
 * @example
 *
 * randBird()
 *
 * @example
 *
 * randBird({ length: 10 })
 *
 */

function randBird(options) {
  return fake(data, options);
}

exports.randBird = randBird;
