import seedRandom from 'seedrandom';

let prng = seedRandom();
/**
 * Create a seed.
 *
 * @category general
 *
 * @example
 *
 * random()
 *
 */

function random() {
  return prng();
}

function fake(data, options) {
  const dataSource = Array.isArray(data) ? () => randElement(data) : data;

  if (!(options != null && options.length)) {
    return dataSource(0);
  }

  return Array.from({
    length: options.length
  }, (_, index) => dataSource(index));
}
function randElement(arr) {
  return arr[Math.floor(random() * arr.length)];
}

var data = [
	"红颈蝴蝶结",
	"悬崖燕子",
	"赤蠵王鸟",
	"阿兹特克画眉",
	"头巾莺",
	"普通潜鸭",
	"斯科特金莺",
	"黑眉信天翁",
	"和尚鹦鹉",
	"壮丽的蜂鸟",
	"大嘴鹬",
	"布什蒂特",
	"墨西哥杰",
	"蒙面秋沙鸭",
	"木鹳",
	"罗斯海鸥",
	"绿鹬",
	"鸣鹤"
];

/**
 * Generate a random bird.
 *
 * @category animals
 *
 * @example
 *
 * randBird()
 *
 * @example
 *
 * randBird({ length: 10 })
 *
 */

function randBird(options) {
  return fake(data, options);
}

export { randBird };
