import { FakeOptions } from './core/core';
export interface CreditCardNumberOptions extends FakeOptions {
    brand?: Brand;
}
export declare type Brand = 'American Express' | 'UnionPay' | 'Diners Club' | 'Discover Card' | 'RuPay' | 'JCB' | 'Maestro' | 'Dankort' | 'Mastercard' | 'Visa' | 'Visa Electron' | 'UATP';
/**
 * Generate a random credit card number.
 *
 * @category finance
 *
 * @example
 *
 * randCreditCardNumber()
 *
 * @example
 *
 * randCreditCardNumber({ brand: 'Visa' })
 *
 * @example
 *
 * randCreditCardNumber({ length: 10 })
 *
 */
export declare function randCreditCardNumber<Options extends CreditCardNumberOptions = never>(options?: Options): [Options] extends [never] ? string : Options["length"] extends number ? string[] : string;
