import { AddressOptions } from './address';
/**
 * Generate a random full address.
 *
 * @category Address
 *
 * @example
 *
 * randFullAddress()
 *
 * @example
 *
 * randFullAddress({ includeCounty: false }) // default is true
 *
 * @example
 *
 * randFullAddress({ includeCountry: false }) // default is true
 *
 * @example
 *
 * randFullAddress({ length: 10 })
 *
 */
export declare function randFullAddress<Options extends AddressOptions = never>(options?: Options): [Options] extends [never] ? string : Options["length"] extends number ? string[] : string;
