import { FakeOptions } from './core/core';
export interface NameOptions extends FakeOptions {
    withAccents?: boolean;
}
/**
 * Generate a random full name.
 *
 * @category person
 *
 * @example
 *
 * randFullName()
 *
 * @example
 *
 * randFullName({ withAccents: false })
 *
 * @example
 *
 * randFullName({ length: 10 })
 *
 */
export declare function randFullName<Options extends NameOptions = never>(options?: Options): [Options] extends [never] ? string : Options["length"] extends number ? string[] : string;
