import { FakeOptions } from './core/core';
export declare const numericChars = "0123456789";
export declare const alphaChars = "abcdefghijklmnopqrstuvwxyz";
export declare const specialChars = "TODO";
export declare const numericAlphaChars: string;
declare type RandomSequenceOptions = {
    size?: number;
    chars?: string;
} & FakeOptions;
/**
 * Generate a random sequence.
 *
 * @category general
 *
 * @example
 *
 * randSequence()
 *
 * @example
 *
 * randSequence({ size: 10 })
 *
 * @example
 *
 * randSequence({ chars: 'aAbBcC@#' })
 *
 * @example
 *
 * randSequence({ length: 10 })
 *
 */
export declare function randSequence<Options extends RandomSequenceOptions = never>(options?: Options): [Options] extends [never] ? string : Options["length"] extends number ? string[] : string;
export {};
