import { FakeOptions } from './core/core';
declare type Type = 'Project' | 'User Story' | 'Task';
/**
 * Generate a random status.
 *
 * @category general
 *
 * @example
 *
 * randStatus()
 *
 * @example
 *
 * randStatus({ type: 'User Story' })
 *
 * @example
 *
 * randStatus({ length: 10 })
 *
 */
export declare function randStatus<Options extends FakeOptions & {
    type?: Type;
} = never>(options?: Options): [Options] extends [never] ? string : Options["length"] extends number ? string[] : string;
export {};
