import { FakeOptions } from './core/core';
export interface TextOptions extends FakeOptions {
    charCount?: number;
}
/**
 * Generate a random text.
 *
 * @category text
 *
 * @example
 *
 * text()
 *
 * @example
 *
 * text({ length: 10 })
 *
 * @example
 *
 * text({ charCount: 10 }) // default is 10
 *
 */
export declare function randText<Options extends TextOptions = never>(options?: Options): [Options] extends [never] ? string : Options["length"] extends number ? string[] : string;
