import { FakeOptions } from './core/core';
export interface UserNameOptions extends FakeOptions {
    firstName?: string;
    lastName?: string;
}
/**
 * Generate a random user name.
 *
 * @category person
 *
 * @example
 *
 * randUserName()
 *
 * @example
 *
 * randUserName({ length: 10 })
 *
 * @example
 *
 * randUserName({ firstName: 'Ryan' })
 *
 * @example
 *
 * randUserName({ lastName: 'Smee' })
 *
 */
export declare function randUserName<Options extends UserNameOptions = never>(options?: Options): [Options] extends [never] ? string : Options["length"] extends number ? string[] : string;
