export interface mockQueue {
    [key: string]: mockDetails;
}
export interface mockDetails {
    get: mockQ[];
    put: mockQ[];
    post: mockQ[];
    patch: mockQ[];
    records: {
        lastBody: null | string;
        lastUrl: null | string;
    };
    counts: {
        get: number;
        put: number;
        post: number;
        patch: number;
    };
    rateLimiting: rateLimitingOpts;
    cases: any;
}
export interface rateLimitingOpts {
    enabled: boolean;
    rate: number;
    nextWindow: Date;
}
export interface header {
    [key: string]: string;
}
export interface mockQ {
    caseName: string;
    logicFunction?: Function | null;
    requirements?: {
        url?: string | RegExp;
        body?: string;
        headers?: header;
    } | null;
}
export type httpMethods = "get" | "put" | "post" | "patch";
